using Caliburn.Micro;
using SFMVVM.Models;
using Syncfusion.Windows.PropertyGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace EPD.Models
{
    [TypeConverter(typeof(ExpandableObjects))]
    public class ContactDetailDisplayModel : Screen
    {
        private PersonDisplayModel _personName;
        private ContactAddressDisplayModel _address;

        [CategoryAttribute("Identity")]
        [DisplayNameAttribute("Names")]
        [DescriptionAttribute("Name information of the selected contact.")]
        public PersonDisplayModel PersonName { get => _personName; set { _personName = value; NotifyOfPropertyChange(() => PersonName); }}

        [CategoryAttribute("Address")]
        [DisplayNameAttribute("Address")]
        [DescriptionAttribute("Address information of the selected contact.")]
        public ContactAddressDisplayModel Address { get => _address; set { _address = value; NotifyOfPropertyChange(() => Address); }}

    }
}
